
//-------------------------------------------------------------------------------//
// Author: Stefan Lörwald, Universität Heidelberg                                //
// License: CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/legalcode //
//-------------------------------------------------------------------------------//

#include "cast.h"

template <typename Integer>
std::tuple<Vertices<Integer>, Names, Maps> input::vertices(int argc, char** argv)
{
   const auto data = vertices<int>(argc, argv);
   return std::make_tuple(cast<Integer>(std::get<0>(data)), // vertices, conversion from int to Integer
                          std::get<1>(data),                // names
                          std::get<2>(data));               // maps
}

template <typename Integer>
std::tuple<Inequalities<Integer>, Maps> input::inequalities(int argc, char** argv)
{
   const auto data = inequalities<int>(argc, argv);
   return std::make_tuple(cast<Integer>(std::get<0>(data)),
                          std::get<1>(data));
}

template <typename Integer>
Inequalities<Integer> input::knownFacets(int argc, char** argv, const Names& names)
{
   const auto ieqs = knownFacets<int>(argc, argv, names);
   return cast<Integer>(ieqs);
}

