
//-------------------------------------------------------------------------------//
// Author: Stefan Lörwald, Universität Heidelberg                                //
// License: CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/legalcode //
//-------------------------------------------------------------------------------//

#pragma once

enum class OperationMode
{
   AdjacencyDecomposition,  /// Facet enumeration with adjacency decomposition.
   DoubleDescriptionMethod, /// Facet enumeration with double description.
   VertexEnumeration,       /// Vertex enumeration for inequality description.
   HelpCommand,             /// Show specific help information for an option.
   Help,                    /// Show help information.
   Version,                 /// Show version information.
   Invalid,                 /// If there are keywords, but not any keyword which can be used to deduce mode.
   Undecided                /// Unknown state.
};

